﻿var indicatorPages = new Array();
indicatorPages[0]="http://www.statcan.gc.ca/hp-pa/ssi/latestindicators/population-ind-eng.htm";
indicatorPages[1]="http://www.statcan.gc.ca/hp-pa/ssi/latestindicators/cpi-ipc-ind-eng.htm";
indicatorPages[2]="http://www.statcan.gc.ca/hp-pa/ssi/latestindicators/lfs-epa-ind-eng.htm";
indicatorPages[3]="http://www.statcan.gc.ca/hp-pa/ssi/latestindicators/gdp-pib-ind-eng.htm";

var contentBoxes = new Array();
contentBoxes[0]="population";
contentBoxes[1]="cpi";
contentBoxes[2]="unemployment";
contentBoxes[3]="gdp";

String.prototype.between = function(prefix, suffix) {
	s = this;
	var i = s.indexOf(prefix);
	if (i >= 0) {
		s = s.substring(i + prefix.length);
	}
	else {
		return '';
	}
	if (suffix) {
		i = s.indexOf(suffix);
		if (i >= 0) {
			s = s.substring(0, i);
		}
		else {
			return '';
		}
	}
	return s;
}

function parseData(text,divID){
	var textTemp;
	if (text.indexOf('stb01')>=0){
		if (divID == contentBoxes[0]) {
			textTemp = text.between('class="stb01">', ' (') + ':<br />' + text.between('<td>','</td>') + '&nbsp;&nbsp;<a title="Note on the population estimate (Opens in a new window)" href="http://www.statcan.gc.ca/hp-pa/estima-eng.htm" target="_blank">(Note)</a>';
		}
		else
		{
			textTemp = text.between('class="stb01">', '<br />') + ':<br />' + text.between('<td>','</td>');
		}
	}
	else
	{
		if (divID == contentBoxes[0]) {
			textTemp = text.between('<li>', '<br /> (') + ':<br />' + text.between('font-xlarge">','</div>') + '&nbsp;&nbsp;<a title="Note on the population estimate (Opens in a new window)" href="http://www.statcan.gc.ca/hp-pa/estima-eng.htm" target="_blank">(Note)</a>';
		}
		else
		{
			textTemp = text.between('<li>', '<br />') + ':<br />' + text.between('font-xlarge">','</div>');
		}	
	}
	textTemp = textTemp.replace("?HPA","");
	textTemp = textTemp.replace("href=\"/","href=\"http://www.statcan.gc.ca/");
	document.getElementById(divID).innerHTML = textTemp;
}

function showError(){
	for (i=0; i<4; i++){
		document.getElementById(contentBoxes[i]).innerHTML = '';
	}	
	document.getElementById(contentBoxes[0]).innerHTML = 'Unable to connect. Please verify your Internet connection or visit <span onclick="clicked(\'http://www.statcan.gc.ca/\');" class="link">www.statcan.gc.ca</span>';
	setTimeout("refreshGadget()", 10000);
}

function getData(url,divID){
	var req=new XMLHttpRequest();
	req.onreadystatechange = function()
	{
    	if (req.readyState == 4) {
			// only if "OK"
    	    if (req.status == 200) {
				parseData(req.responseText,divID);
    	     } else {
    	        showError();
    	     }
		}		
	}
	req.open("GET",url,true);
	req.send(null);
}

function getAllData(){
	for (i=0; i<4; i++){
		getData(indicatorPages[i],contentBoxes[i])
	}
}

function refreshGadget() 
{
	location.href = location.href;
}

function clicked(url)
{
	if (widget)
	{
		widget.openURL(url);
	}
}